## golang-github-notaryproject-tspclient-go 1.0.0

=== Makefile ===
# Copyright The Notary Project Authors.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

.PHONY: help
help:
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-25s\033[0m %s\n", $$1, $$2}'

.PHONY: all
all: test

.PHONY: test
test: check-line-endings ## run unit tests
	go test -race -v -coverprofile=coverage.txt -covermode=atomic ./...

.PHONY: clean
clean:
	git status --ignored --short | grep '^!! ' | sed 's/!! //' | xargs rm -rf

.PHONY: check-line-endings
check-line-endings: ## check line endings
	! find . -name "*.go" -type f -exec file "{}" ";" | grep CRLF
	! find scripts -name "*.sh" -type f -exec file "{}" ";" | grep CRLF

.PHONY: fix-line-endings
fix-line-endings: ## fix line endings
	find . -type f -name "*.go" -exec sed -i -e "s/\r//g" {} +

## golang-github-notaryproject-tspclient-go 0.2.0

=== debian/changelog ===
golang-github-notaryproject-tspclient-go (0.2.0-2) unstable; urgency=medium

  * Fix FTBFS on i386

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 18 Dec 2024 17:39:06 -0500

golang-github-notaryproject-tspclient-go (0.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #1087753)

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 17 Nov 2024 20:46:16 -0500

=== debian/control ===
Source: golang-github-notaryproject-tspclient-go
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-notaryproject-tspclient-go
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-notaryproject-tspclient-go.git
Homepage: https://github.com/notaryproject/tspclient-go
XS-Go-Import-Path: github.com/notaryproject/tspclient-go

Package: golang-github-notaryproject-tspclient-go-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Implementation of the Time-Stamp Protocol client (library)
 This package provides implementation of the Time-Stamp Protocol (TSP)
 client as specified in RFC 3161.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/notaryproject/tspclient-go/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-notaryproject-tspclient-go 1.0.0

=== debian/changelog ===
golang-github-notaryproject-tspclient-go (1.0.0-1) unstable; urgency=medium

  * Team upload.
  * Use watch v5.
  * New upstream version 1.0.0
  * Standards-Version: 4.7.2.
  * Drop Rules-Requires-Root: no.
  * Bump debian/* copyright years.
  * Drop upstream'ed FTBFS patch.

 -- Simon Josefsson <simon@josefsson.org>  Fri, 31 Oct 2025 14:59:26 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,11 @@
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Reinhard Tartler <siretart@tauware.de>
-Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                golang-any
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-notaryproject-tspclient-go
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-notaryproject-tspclient-go.git
 Homepage: https://github.com/notaryproject/tspclient-go

=== debian/watch ===
Version: 5
Template: Github
Owner: notaryproject
Project: tspclient-go
Uversionmangle: s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/
